



IF NOT EXIST %LIBRARY_BIN%\cryptominisat5win.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
cryptominisat5_simple --zero-exit-status <unsat.cnf
IF %ERRORLEVEL% NEQ 0 exit /B 1
cryptominisat5_simple --zero-exit-status <sat.cnf
IF %ERRORLEVEL% NEQ 0 exit /B 1
cryptominisat5_simple <unsat.cnf | findstr UNSATISFIABLE
IF %ERRORLEVEL% NEQ 0 exit /B 1
cryptominisat5_simple <sat.cnf   | findstr SATISFIABLE
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
